Show / Hide Table of Contents

# Struct ImGuiStyle

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiStyle

### Fields

| Improve this Doc View Source

#### Alpha

##### Declaration

    public float Alpha

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### AntiAliasedFill

##### Declaration

    public byte AntiAliasedFill

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### AntiAliasedLines

##### Declaration

    public byte AntiAliasedLines

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### ButtonTextAlign

##### Declaration

    public Vector2 ButtonTextAlign

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ChildBorderSize

##### Declaration

    public float ChildBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ChildRounding

##### Declaration

    public float ChildRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ColorButtonPosition

##### Declaration

    public ImGuiDir ColorButtonPosition

##### Field Value

Type | Description
--- | ---
ImGuiDir |

| Improve this Doc View Source

#### Colors_0

##### Declaration

    public Vector4 Colors_0

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_1

##### Declaration

    public Vector4 Colors_1

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_10

##### Declaration

    public Vector4 Colors_10

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_11

##### Declaration

    public Vector4 Colors_11

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_12

##### Declaration

    public Vector4 Colors_12

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_13

##### Declaration

    public Vector4 Colors_13

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_14

##### Declaration

    public Vector4 Colors_14

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_15

##### Declaration

    public Vector4 Colors_15

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_16

##### Declaration

    public Vector4 Colors_16

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_17

##### Declaration

    public Vector4 Colors_17

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_18

##### Declaration

    public Vector4 Colors_18

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_19

##### Declaration

    public Vector4 Colors_19

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_2

##### Declaration

    public Vector4 Colors_2

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_20

##### Declaration

    public Vector4 Colors_20

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_21

##### Declaration

    public Vector4 Colors_21

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_22

##### Declaration

    public Vector4 Colors_22

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_23

##### Declaration

    public Vector4 Colors_23

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_24

##### Declaration

    public Vector4 Colors_24

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_25

##### Declaration

    public Vector4 Colors_25

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_26

##### Declaration

    public Vector4 Colors_26

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_27

##### Declaration

    public Vector4 Colors_27

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_28

##### Declaration

    public Vector4 Colors_28

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_29

##### Declaration

    public Vector4 Colors_29

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_3

##### Declaration

    public Vector4 Colors_3

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_30

##### Declaration

    public Vector4 Colors_30

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_31

##### Declaration

    public Vector4 Colors_31

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_32

##### Declaration

    public Vector4 Colors_32

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_33

##### Declaration

    public Vector4 Colors_33

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_34

##### Declaration

    public Vector4 Colors_34

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_35

##### Declaration

    public Vector4 Colors_35

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_36

##### Declaration

    public Vector4 Colors_36

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_37

##### Declaration

    public Vector4 Colors_37

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_38

##### Declaration

    public Vector4 Colors_38

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_39

##### Declaration

    public Vector4 Colors_39

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_4

##### Declaration

    public Vector4 Colors_4

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_40

##### Declaration

    public Vector4 Colors_40

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_41

##### Declaration

    public Vector4 Colors_41

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_42

##### Declaration

    public Vector4 Colors_42

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_43

##### Declaration

    public Vector4 Colors_43

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_44

##### Declaration

    public Vector4 Colors_44

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_45

##### Declaration

    public Vector4 Colors_45

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_46

##### Declaration

    public Vector4 Colors_46

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_47

##### Declaration

    public Vector4 Colors_47

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_5

##### Declaration

    public Vector4 Colors_5

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_6

##### Declaration

    public Vector4 Colors_6

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_7

##### Declaration

    public Vector4 Colors_7

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_8

##### Declaration

    public Vector4 Colors_8

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### Colors_9

##### Declaration

    public Vector4 Colors_9

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector4 |

| Improve this Doc View Source

#### ColumnsMinSpacing

##### Declaration

    public float ColumnsMinSpacing

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### CurveTessellationTol

##### Declaration

    public float CurveTessellationTol

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### DisplaySafeAreaPadding

##### Declaration

    public Vector2 DisplaySafeAreaPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### DisplayWindowPadding

##### Declaration

    public Vector2 DisplayWindowPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameBorderSize

##### Declaration

    public float FrameBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### FramePadding

##### Declaration

    public Vector2 FramePadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### FrameRounding

##### Declaration

    public float FrameRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabMinSize

##### Declaration

    public float GrabMinSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### GrabRounding

##### Declaration

    public float GrabRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### IndentSpacing

##### Declaration

    public float IndentSpacing

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ItemInnerSpacing

##### Declaration

    public Vector2 ItemInnerSpacing

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### ItemSpacing

##### Declaration

    public Vector2 ItemSpacing

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### MouseCursorScale

##### Declaration

    public float MouseCursorScale

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PopupBorderSize

##### Declaration

    public float PopupBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### PopupRounding

##### Declaration

    public float PopupRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarRounding

##### Declaration

    public float ScrollbarRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### ScrollbarSize

##### Declaration

    public float ScrollbarSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### SelectableTextAlign

##### Declaration

    public Vector2 SelectableTextAlign

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### TabBorderSize

##### Declaration

    public float TabBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TabRounding

##### Declaration

    public float TabRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### TouchExtraPadding

##### Declaration

    public Vector2 TouchExtraPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowBorderSize

##### Declaration

    public float WindowBorderSize

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowMenuButtonPosition

##### Declaration

    public ImGuiDir WindowMenuButtonPosition

##### Field Value

Type | Description
--- | ---
ImGuiDir |

| Improve this Doc View Source

#### WindowMinSize

##### Declaration

    public Vector2 WindowMinSize

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowPadding

##### Declaration

    public Vector2 WindowPadding

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |

| Improve this Doc View Source

#### WindowRounding

##### Declaration

    public float WindowRounding

##### Field Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### WindowTitleAlign

##### Declaration

    public Vector2 WindowTitleAlign

##### Field Value

Type | Description
--- | ---
System.Numerics.Vector2 |